---
# Tasks specific for RedHat systems
  
- name: "Zabbix Server | Yum install Zabbix release 3.2 in RHEL or CentOS"
  yum: 
    name: http://repo.zabbix.com/zabbix/{{ zabbix_server_Version }}/rhel/{{ ansible_distribution_major_version }}/x86_64/zabbix-release-{{ zabbix_server_Version }}-1.el{{ ansible_distribution_major_version }}.noarch.rpm
  register: zabbix_server
  when: zabbix_server_Version == "3.2"
  tags:
    - zabbix-server

- name: "Zabbix Server | Yum install Zabbix release 3.4 in RHEL or CentOS"
  yum: 
    name: http://repo.zabbix.com/zabbix/{{ zabbix_server_Version }}/rhel/{{ ansible_distribution_major_version }}/x86_64/zabbix-release-{{ zabbix_server_Version }}-1.el{{ ansible_distribution_major_version }}.centos.noarch.rpm
  register: zabbix_server
  when: zabbix_server_Version == "3.4"
  tags:
    - zabbix-server

- name: "Zabbix Server | Configuration Repo"
  template:
    src: zabbix.repo.j2
    dest: /etc/yum.repos.d/zabbix.repo
    owner: root
    group: root
    mode: 0644
  tags:
    - zabbix-server-repo

- name: "RedHat | Installing zabbix-server-{{ zabbix_server_DBType }}"
  yum:
    pkg: zabbix-server-{{ zabbix_server_DBType }}-{{ zabbix_server_release }}.x86_64
    state: present
  when: zabbix_server_DBType == 'mysql'
  tags:
    - zabbix-server-database

- name: "RedHat | Install package Zabbix Server Bases"
  yum: 
    name: '{{ item }}'
    state: present
  with_items:
    - zabbix-get-{{ zabbix_server_release }}
    - zabbix-sender-{{ zabbix_server_release }}
    - zabbix-agent-{{ zabbix_server_release }}
  tags:
    - packages-zabbix-server

- name: "RedHat | Install zabbix-web-{{ zabbix_server_DBType }}"
  yum:
    pkg: zabbix-web-{{ zabbix_server_DBType }}-{{ zabbix_server_release }}
    state: present
  tags:
    - zabbix-server-web

- name: "RedHat | Install apache vhost"
  template:
    src: apache_vhost.conf.j2
    dest: /etc/httpd/conf.d/zabbix.conf
    owner: root
    group: root
    mode: 0644
  notify: httpd restart
  tags:
    - httpd

- name: "Zabbix Server | Create Database {{ zabbix_server_DBName }}"
  include: mysql.yaml
  register: zabbix_server_database
  when: ansible_os_family == "RedHat"

- name: "Zabbix Server | Configuration user in database {{ zabbix_server_DBName }}"
  include: mysqluser.yaml
  register: zabbix-server-database
  when: ansible_os_family == "RedHat"